Skip to content

Return policy-aware process activity for one readable board item.

GET
/api/workspace/boards/{boardIdOrKey}/items/{boardItemId}/process-activity-feed
curl --request GET \
--url 'https://example.com/api/workspace/boards/example/items/example/process-activity-feed?page=1&pageSize=25'
  • None
boardIdOrKey
required
string
boardItemId
required
string
page
integer format: int32
default: 1
pageSize
integer format: int32
default: 25
Kinds
Array<integer>
Allowed values: 1 2
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Policy-aware process activity feed for one board item.

object
BoardItemOwner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
Feed

Paginated resource activity feed.

object
Items
Array<object>
nullable

One resource-aware activity feed item.

object
EventKind

User-facing activity event type.

integer format: int32
Allowed values: 1 2 3 4 5
ContentKind

Content type represented by an activity feed item.

integer format: int32
Allowed values: 1 2
ContentId
string
nullable
Owner

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Comment

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Attachment
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
ActivityAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
DeletedAt
string format: date-time
nullable
Permissions

Actions available for an activity feed item.

object
CanView
boolean
CanEdit
boolean
CanDelete
boolean
CanReply
boolean
CanDownload
boolean
Page
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int32
HasMore
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"Feed": {
"Items": [
{
"EventKind": 1,
"ContentKind": 1,
"Comment": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Attachment": {
"Relations": [
{
"RelationKind": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Policy-aware process activity feed for one board item.

object
BoardItemOwner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
Feed

Paginated resource activity feed.

object
Items
Array<object>
nullable

One resource-aware activity feed item.

object
EventKind

User-facing activity event type.

integer format: int32
Allowed values: 1 2 3 4 5
ContentKind

Content type represented by an activity feed item.

integer format: int32
Allowed values: 1 2
ContentId
string
nullable
Owner

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Comment

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Attachment
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
ActivityAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
DeletedAt
string format: date-time
nullable
Permissions

Actions available for an activity feed item.

object
CanView
boolean
CanEdit
boolean
CanDelete
boolean
CanReply
boolean
CanDownload
boolean
Page
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int32
HasMore
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"Feed": {
"Items": [
{
"EventKind": 1,
"ContentKind": 1,
"Comment": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Attachment": {
"Relations": [
{
"RelationKind": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Policy-aware process activity feed for one board item.

object
BoardItemOwner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
Feed

Paginated resource activity feed.

object
Items
Array<object>
nullable

One resource-aware activity feed item.

object
EventKind

User-facing activity event type.

integer format: int32
Allowed values: 1 2 3 4 5
ContentKind

Content type represented by an activity feed item.

integer format: int32
Allowed values: 1 2
ContentId
string
nullable
Owner

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Comment

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Attachment
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
ActivityAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
DeletedAt
string format: date-time
nullable
Permissions

Actions available for an activity feed item.

object
CanView
boolean
CanEdit
boolean
CanDelete
boolean
CanReply
boolean
CanDownload
boolean
Page
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int32
HasMore
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"Feed": {
"Items": [
{
"EventKind": 1,
"ContentKind": 1,
"Comment": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Attachment": {
"Relations": [
{
"RelationKind": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Policy-aware process activity feed for one board item.

object
BoardItemOwner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CreateCommentPolicy
integer format: int32
Allowed values: 0 1 2
ReadCommentPolicy
integer format: int32
Allowed values: 0 1 2
CreateAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
ReadAttachmentPolicy
integer format: int32
Allowed values: 0 1 2
Feed

Paginated resource activity feed.

object
Items
Array<object>
nullable

One resource-aware activity feed item.

object
EventKind

User-facing activity event type.

integer format: int32
Allowed values: 1 2 3 4 5
ContentKind

Content type represented by an activity feed item.

integer format: int32
Allowed values: 1 2
ContentId
string
nullable
Owner

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
RelatedTarget

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Source

Display and navigation context for a resource referenced by an activity feed item.

object
Identity
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
DisplayName
string
nullable
SafeLabel
string
nullable
OpenTarget
object
TargetCode
string
nullable
Parameters
object
key
additional properties
string
CanOpen
boolean
Comment

Comment details.

object
Id

Comment identifier.

string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
CommentText

Comment text.

string
nullable
DetectedLanguage

Detected language for search.

string
nullable
ParentCommentId

Optional parent comment identifier.

string
nullable
Relations

Resource relations attached to the comment.

Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId

Creator user identifier.

string
nullable
CreatedByUserName

Creator display name.

string
nullable
ModifiedByUserId

Last modifier user identifier.

string
nullable
ModifiedByUserName

Last modifier display name.

string
nullable
EditDeadline

Edit deadline timestamp.

string format: date-time
nullable
IsEdited

Whether the comment has been edited.

boolean
ReplyCount

Number of replies.

integer format: int32
CreatedAt

Creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
IsDeleted

Whether the comment is soft deleted.

boolean
Permissions

Permissions for a comment evaluated for the current user.

object
CanView

Whether the comment can be viewed.

boolean
CanEdit

Whether the comment can be edited.

boolean
CanDelete

Whether the comment can be deleted.

boolean
CanReply

Whether a reply can be created.

boolean
Attachment
object
Id
string
nullable
FolderId
string
nullable
Owner
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
Relations
Array<object>
nullable
object
Id
string
nullable
Target
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
RelationKind
integer format: int32
Allowed values: 0
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
CreatedByUserId
string
nullable
CreatedAt
string format: date-time
DeletedAt
string format: date-time
nullable
Origin
object
Source
object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
ResourceObjectId
string
nullable
PolicyCode
string
nullable
CorrelationId
string
nullable
IsDeleted
boolean
EditDeadline
string format: date-time
Descriptor
object
Id
string
nullable
FileName
string
nullable
Description
string
nullable
MimeType
string
nullable
SizeBytes
integer format: int64
ChecksumSha256
string
nullable
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
CreatedByUserId
string
nullable
CreatedByUserName
string
nullable
ModifiedByUserId
string
nullable
ModifiedByUserName
string
nullable
ActivityAt
string format: date-time
CreatedAt
string format: date-time
ModifiedAt
string format: date-time
nullable
DeletedAt
string format: date-time
nullable
Permissions

Actions available for an activity feed item.

object
CanView
boolean
CanEdit
boolean
CanDelete
boolean
CanReply
boolean
CanDownload
boolean
Page
integer format: int32
PageSize
integer format: int32
TotalCount
integer format: int32
HasMore
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CreateCommentPolicy": 0,
"ReadCommentPolicy": 0,
"CreateAttachmentPolicy": 0,
"ReadAttachmentPolicy": 0,
"Feed": {
"Items": [
{
"EventKind": 1,
"ContentKind": 1,
"Comment": {
"Relations": [
{
"RelationKind": 0
}
]
},
"Attachment": {
"Relations": [
{
"RelationKind": 0
}
]
}
}
]
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}